<?php
include("../php/config.php");


$monto = $_GET["monto"];
$amonto = $_GET["monto"];
$usuario = $_GET["usuario"];
$proveedor = $_GET["proveedor"];
$tipo = $_GET["tipo"];
$concepto = $_GET["concepto"];
$secuencia = $_GET["secuencia"];
$efectivo = $_GET["efectivo"];
$cheque = $_GET["cheque"];
$tarjeta = $_GET["tarjeta"];
$balance = $_GET["balance"];
$numero_cheque = $_GET["numero_cheque"];
$pagadas = "";

$sql_folio_ingreso = mysql_query("SELECT * FROM parametros") or die(mysql_error());
$folio_egreso = @mysql_result($sql_folio_ingreso,0,"folio_egreso");
$folio_egreso = $usuario."".$folio_egreso;



$a = mysql_query("SELECT * FROM compras WHERE balance>0 and proveedor='$proveedor' ORDER BY id ASC") or die(mysql_error());
while($rs = mysql_fetch_array($a)){
////si monto es mayor al balance////
	if($monto>0){
		pagar($rs["balance"],$rs["id"],$rs["folio"]);
		$pagadas.=",".$rs["folio"];
	}
////////////////////////////////
}



function pagar($balance,$id, $folio){
global $ultimo;    
global $distribucion;
global $abonadas;
global $monto;
global $pagadas;
global $amonto;
global $proveedor;
global $secuencia;
global $efectivo;
global $cheque;
global $tarjeta;
global $numero_cheque;
global $folio_ingreso;

if($monto>$balance){

$q1 = mysql_query("UPDATE compras SET balance=0, fecha_pago=CURDATE()  WHERE 	id='$id'") or die(mysql_error());
    
    
    
	$distribucion .= " | Factura #: (".$folio."), abono: [".number_format($balance,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_compra SET folio_egreso='$folio_egreso', fecha=NOW(), hora=NOW(), monto='$balance', proveedor='$proveedor',  usuario='".$_COOKIE['usuario']."', secuencia='$secuencia', folio='$folio', id_compra='$id'") or die(mysql_error());

	
	
	$monto = $monto - $balance;
	return;
	}
	
if($monto<$balance){

       
	$q0 = mysql_query("UPDATE compras SET pagado=pagado+'$monto', balance=balance - '$monto', fecha_pago=CURDATE()  WHERE 	id='$id'") or die(mysql_error());
	
   
	    
	    
	$distribucion .= " | Factura #: (".$folio."), abono: ".number_format($monto,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_compra SET folio_egreso='$folio_egreso', fecha=NOW(), hora=NOW(), monto='$monto', proveedor='$proveedor',  usuario='".$_COOKIE['usuario']."', secuencia='$secuencia', folio='$folio', id_compra='$id'") or die(mysql_error());

	
	$monto = 0;
	return;
	}
	
	
	if($monto==$balance){
;
	   
$q0 = mysql_query("UPDATE compras SET pagado=balance, fecha_pago=CURDATE() WHERE 	id='$id'") or die(mysql_error());

$q1 = mysql_query("UPDATE compras SET balance=0 WHERE id='$id'") or die(mysql_error());

    
    
	$distribucion .= " | Factura #: (".$id."), abono: ".number_format($balance,2,'.', ',')."," or die(mysql_error());
	mysql_query("INSERT INTO pagos_compra SET folio_egreso='$folio_egreso', fecha=NOW(), hora=NOW(), monto='$balance', proveedor='$proveedor',  usuario='".$_COOKIE['usuario']."', secuencia='$secuencia', folio='$folio', id_compra='$id'") or die(mysql_error());

	$monto = 0;
	return;
	}
	
	
	
}
if($_GET["tipo"]=="Produccion"){
	$concepto = "Pago de produccion<br>".$proveedor."<br>Distribucion de pago:".$distribucion;
}else{
	$concepto = "Pago de facturas de compra<br>".$proveedor."<br>Distribucion de pago:".$distribucion;
}


mysql_query("UPDATE parametros SET folio_egreso=folio_egreso+1") or die(mysql_error());
mysql_query("INSERT INTO egresos SET folio_egreso='$folio_egreso', fecha=NOW(), hora=NOW(), efectivo='$efectivo',cheque='$cheque',numero_cheque='$numero_cheque',tarjeta='$tarjeta', monto='$amonto', pagado_a='$proveedor', tipo='$tipo', concepto='$concepto', usuario='".$_COOKIE['usuario']."', secuencia='$secuencia'") or die(mysql_error());
echo 1;

?>